# BuildInvocations

interface BuildInvocations : Model, ProjectModel

A model providing access to org.gradle.tooling.model.Launchable instances that can be used to initiate Gradle build.

To launch a build, you pass one or more org.gradle.tooling.model.Launchable instances to either forTasks or forLaunchables.

#### Since

1.12

## Functions

getProjectIdentifier
Link copied to clipboard
abstract fun getProjectIdentifier(): ProjectIdentifier
Returns the identifier for the Gradle project that these invocations originate from.
getTasks
Link copied to clipboard
abstract fun getTasks(): DomainObjectSet<out Task>
Returns the tasks that can be used to execute a build.
getTaskSelectors
Link copied to clipboard
abstract fun getTaskSelectors(): DomainObjectSet<out TaskSelector>
Returns tasks selectors that can be used to execute a build.